library(sjmisc)
library(rlist)
library(stringr)
library(jsonlite)
library(dplyr)
library(xlsx)
library(bio3d)

setwd(getwd())
file = "uncertainty_repositioning_final_to_annote_processed.json"
data = fromJSON(file)

xyz = as.data.frame(matrix(nrow=30,ncol=10))
xyz[,1]=seq(1,30)

for (i in 1:90){
  x=data$Data[[i]][1,1][1,1]
  y=data$Data[[i]][1,1][1,2]
  z=data$Data[[i]][1,1][1,3]
  ID=as.numeric(data$Data[[i]][2,2])
  year=data$Data[[i]][3,3]
  if(year=="2015"){xyz[ID,2]=x
  xyz[ID,3]=y
  xyz[ID,4]=z}
  else if(year=="2018"){xyz[ID,5]=x
  xyz[ID,6]=y
  xyz[ID,7]=z}
  else if(year=="2020"){xyz[ID,8]=x
  xyz[ID,9]=y
  xyz[ID,10]=z}
  else{print(paste0(as.character(ID)," ",year))}
}

dist_2015_2018 = dist.xyz(xyz[,2:4],xyz[,5:7])
dist_2015_2018 = diag(dist_2015_2018)
dist_2018_2020 = dist.xyz(xyz[,5:7],xyz[,8:10])
dist_2018_2020 = diag(dist_2018_2020)
dist_2015_2020 = dist.xyz(xyz[,2:4],xyz[,8:10])
dist_2015_2020 = diag(dist_2015_2020)

dist_tot = c(dist_2015_2018,dist_2015_2020,dist_2018_2020)
hist(dist_tot)
mean(dist_tot, na.rm=TRUE)
sd(dist_tot, na.rm=TRUE)
quantile(dist_tot, c(.95), na.rm=T)
